Basic verification of Kenyan National ID with name matching
Authorization
ApiKeyAuth X-API-Key<token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/verification/api/kenya_national_id_basic/" \ -H "Content-Type: application/json" \ -d '{ "national_id": "e.g. 29706805", "first_name": "e.g. Ma", "last_name": "e.g. Stevens" }'{ "data": { "match": true, "id_number": "29706805", "last_name": "Stevens", "confidence": "high", "first_name": "Ma" }, "status": true, "response_code": "00", "message": "string", "billing_info": { "was_charged": true, "amount": "string", "currency": "string" }}Response Codes & Statuses: Prembly API responses include custom
response_code values (e.g., 00 Success, 01 Not Found, 02 Unavailable).Prembly Slack Community
Join our developer Slack channel for real-time integration support, engineering updates, and direct Q&A with the Prembly team.
Join Slack Channel